%define		_state		stable
%define		orgname		bomber
%define		qtver		4.8.0

Summary:	bomber
Name:		kde4-%{orgname}
Version:	4.14.3
Release:	2
License:	GPL
Group:		X11/Applications/Games
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	d06b64a3089164679b54d9d9ca207671
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkdegames-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Obsoletes:	kde4-kdegames-%{orgname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bomber.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install -d $RPM_BUILD_ROOT/var/games
# remove locolor icons
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/locolor

%find_lang %{orgname}	--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post			-p /sbin/ldconfig
%postun			-p /sbin/ldconfig

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bomber
%{_desktopdir}/kde4/bomber.desktop
%{_datadir}/apps/bomber
%{_datadir}/config.kcfg/bomber.kcfg
%{_iconsdir}/hicolor/*x*/apps/bomber.png
%{_iconsdir}/hicolor/scalable/apps/bomber.svgz
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-bomber.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> 1381881
- rebuild for g++ ABI changes
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> ed9600e
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a352d39
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4a28958
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 84eae5c
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> aaf9505
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4410f3d
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 007baa3
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d87bd09
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6f99b9b
- updated to 4.12.1 (by update-kde4.sh)

* Wed Dec 25 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 63ea7e8
- used macro orgname for easier copy-paste in the future

* Tue Dec 24 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 710359c
- touch was wrong

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 0f0db5c
- proper md5sum

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> e977b7a
- new, previously in kde4-kdegames.

